using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.BusinessLogicContracts;
using Microsoft.AspNetCore.Mvc;

namespace CaseAccountingRestApi.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class ReportCustomerController : Controller
	{
		private readonly IReportCustomerLogic _reportCustomerLogic;

        public ReportCustomerController(IReportCustomerLogic reportLogic)
        {
            _reportCustomerLogic = reportLogic;
        }

        [HttpPost]
        public byte[] LawyerHearingList(LawyerHearingListBindingModel listModel)
        {
            byte[] file = _reportCustomerLogic.SaveListFile(listModel);
            return file;
        }
	}
}
